#ifndef MASSFITBACKGROUNDCLASS_HPP
#define MASSFITBACKGROUNDCLASS_HPP

#include "../GlobalFunctions.hh"

class BackgroundType{
protected:
    bool SingleExponential;
    bool DoubleExponential;
    bool ExpGaus;
    bool FixBkgParameters;
    bool ConstrBkgParameters;

public:
    bool bkgOneCB;
    //Constrain PDFs
    RooArgSet * BkgConsParameter = new RooArgSet();
    RooArgList * BkgConsPDF = new RooArgList();
    bool BkgAtLeastOneConstrainFound = false;
    vector<RooRealVar *>BkgRooVars = {};

    bool NoBackground;
    BackgroundType(){ //basic constructor
        SingleExponential = false;
        DoubleExponential = false;
        ExpGaus = false;
        NoBackground = false;
        bkgOneCB = false;
    }
    void setBackgroundType(string bkgType, bool TM, bool FixParams, bool ConstrParams);//construct from a string
    vector<string> getBkgListOfParams();
    ~BackgroundType(){} //basic destructor
};


#endif // MASSFITBACKGROUNDCLASS_HPP
